package com.ippon.pouet.service;

import com.ippon.pouet.common.domain.error.PouetMessage;

enum UserMessage implements PouetMessage {
  EMAIL_ALREADY_USED("user.e-mail-already-used"),
  LOGIN_ALREADY_USED("user.login-already-used"),
  INVALID_PASSWORD("user.invalid-password");

  private final String messageKey;

  private UserMessage(String messageKey) {
    this.messageKey = messageKey;
  }

  @Override
  public String getMessageKey() {
    return messageKey;
  }
}
